## org.apache.xalan.xpath.xml
Class XSLResourceBundle

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--org.apache.xalan.xpath.xml.XSLResourceBundle

public abstract class XSLResourceBundle
extends java.util.ListResourceBundle

**For internal use only** This is an interface for error messages. This class is misnamed, and should be called XalanResourceBundle, or some such.

Constructor Summary
`XSLResourceBundle()` **For internal use only**

Method Summary
`abstract java.lang.String` `getMessageKey(int errorCode)` **For internal use only** Get the error string associated with the error code
`abstract java.lang.String` `getWarningKey(int errorCode)` **For internal use only** Get the error string associated with the error code

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLResourceBundle

    public XSLResourceBundle()

Method Detail

### getMessageKey

    public abstract java.lang.String getMessageKey(int errorCode)

  **For internal use only** Get the error string associated with the error code

### getWarningKey

    public abstract java.lang.String getWarningKey(int errorCode)

  **For internal use only** Get the error string associated with the error code

Copyright © 2000 Apache XML Project. All Rights Reserved.